Python Forum
can't open excel with my macos
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
can't open excel with my macos
#1
I hope to help,thank you
What happened to aeosa?

Error:
Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/appscript/reference.py", line 482, in __call__ return self.AS_appdata.target().event(self._code, params, atts, codecs=self.AS_appdata).send(timeout, sendflags) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/aem/aemsend.py", line 92, in send raise EventError(errornum, errormsg, eventresult) aem.aemsend.EventError: Command failed: The user has declined permission. (-1743)
The above exception was the direct cause of the following exception:

Error:
Traceback (most recent call last): File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 381, in <module> p.save_creatphone() File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 215, in save_creatphone raise e File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 206, in save_creatphone sheet = xw.Book(testMethods.order_info) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/main.py", line 481, in __init__ for wb in app.books: File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/main.py", line 62, in __iter__ for impl in self.impl: File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/_xlmac.py", line 201, in __iter__ n = len(self) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/_xlmac.py", line 185, in __len__ return self.app.xl.count(each=kw.workbook) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/appscript/reference.py", line 518, in __call__ raise CommandError(self, (args, kargs), e, self.AS_appdata) from e appscript.reference.CommandError: Command failed: OSERROR: -1743 MESSAGE: The user has declined permission. COMMAND: app(pid=37782).count(each=k.workbook)
and
Error:
Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/appscript/reference.py", line 482, in __call__ return self.AS_appdata.target().event(self._code, params, atts, codecs=self.AS_appdata).send(timeout, sendflags) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/aem/aemsend.py", line 92, in send raise EventError(errornum, errormsg, eventresult) aem.aemsend.EventError: Command failed: The user has declined permission. (-1743)
The above exception was the direct cause of the following exception:

Error:
Traceback (most recent call last): File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 381, in <module> p.save_creatphone(0,"1111",'2222') File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 215, in save_creatphone raise e File "/Users/dcc/tool/python-tool/works/AutomationTest/testDal/dalPublicMethods.py", line 202, in save_creatphone app = xw.App(visible=False, add_book=False) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/main.py", line 212, in __init__ self.impl = xlplatform.App(spec=spec, add_book=add_book) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/_xlmac.py", line 65, in __init__ self.activate() # Makes it behave like on Windows File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/xlwings/_xlmac.py", line 100, in activate appscript.app('System Events').processes[its.unix_id == self.pid].frontmost.set(True) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/aeosa/appscript/reference.py", line 518, in __call__ raise CommandError(self, (args, kargs), e, self.AS_appdata) from e appscript.reference.CommandError: Command failed: OSERROR: -1743 MESSAGE: The user has declined permission. COMMAND: app('/System/Library/CoreServices/System Events.app').processes[its.unix_id == 38103].frontmost.set(True)
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Text widget -macOS apffal 1 281 Sep-23-2021, 10:12 PM
Last Post: apffal
  Open an excel file Newbie1114 1 633 Jun-16-2021, 09:11 PM
Last Post: Gribouillis
  Installing Python3 on MacOS using brew zazas321 5 995 May-28-2021, 06:19 AM
Last Post: perfringo
  Edit Open and Active Excel sheet in Python JoeDainton123 1 787 Jul-29-2020, 12:52 AM
Last Post: Larz60+
  Open an Excel file Friend 9 3,251 Feb-18-2020, 05:19 PM
Last Post: Friend
  Building from source on MacOS: installing certificates ardim 1 843 Feb-09-2020, 10:16 PM
Last Post: ardim
  pymysql on macos seirra tony1812 5 2,739 Sep-17-2017, 03:24 PM
Last Post: Larz60+

Forum Jump:

User Panel Messages

Announcements
Announcement #1 8/1/2020
Announcement #2 8/2/2020
Announcement #3 8/6/2020